#include<reg52.h>
#define uint unsigned int
#define uchar unsigned char
sbit h_diola=P2^5;        
sbit l_dula=P2^6;         
sbit wela=P2^7;   

void main()
{	
	P0=0xff;    //关闭数码管
	wela=1;
	wela=0;   
	
	P0=0x00;   //给点阵所有的列加上低电平
	l_dula=1;
	l_dula=0;

	P0=0xff;   //给点阵所有的行加上高电平
	h_diola=1;
	h_diola=0;

	while(1);   //程序在此停下
}